{% extends "base.html" %}
{% load static %}
{% block titulo %}
  Listado Envio de Dinero (Caja Dolar)
{% endblock titulo %}
{% block content1 %} 
<script type="text/javascript">
  $("#navCajaDolar").attr('class','dropdown active');
  //$("#navEnvioDineroM").attr('class','dropdown dropdown-submenu active');
  $("#navListadoEnviosD").attr('class','active');
</script>
<div class="row">
  <div class="col-md-12 col-sm-12" >
      <div class="panel panel-default">
        <div class="panel-heading panel-dolar"> <strong>LISTADO DE ENVIOS DE DINERO (CAJA DOLAR)</strong></div>
        <div class="panel-body">
           <div class="row" >
            <h4 class="bg-success" align="center" id="ExitoMensaje">
            </h4>
          </div>
          <div class="row">
              <div class="col-md-2">
                <button type="button" class="btn btn-primary btn-sm" id="btnRefrescar"><b>Actualizar</b></button>
              </div>
              <div class="col-md-2 col-md-offset-5">
                <label for="txtfecha1">Desde:</label>
                <input type="text" class="form-control" id="txtfecha1">
                <p></p>
              </div>
              <div class="col-md-2">
                <label for="txtfecha2">Hasta:</label>
                <input type="text" class="form-control" id="txtfecha2">
                <p></p>
              </div>
              <div class="col-md-1">
              <label for="btnfiltrar">&nbsp; </label>
              <button type="button" class="btn btn-danger btn-block btn-sm" id="btnfiltrar"><span class="glyphicon glyphicon-search" aria-hidden="true"></span></button>
              </div>
          </div>
          <div id ="progreso_ajax"class="row" hidden>
            <div class="col-md-12">
              <div class="progress">
                <div class="progress-bar progress-bar-primary progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                </div>
              </div>
              
            </div>
          </div>
          <div class="row">
              <div class="col-md-12">
                  <div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                      <div class="modal-dialog">
                        <div class="modal-content">
                          <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title" id="myModalLabel">Detalles</h4>
                          </div>
                          <div class="modal-body">
                            <p>
                              <div class="col-md-12 col-sm-12" >
                                  <div class="panel panel-info">
                                    <div class="panel-heading" align="center"> <strong>DETALLE DE ENVIO DE DINERO</strong></div>
                                    <div class="panel-body">
                                      <div class="row">
                                          <div class="col-md-3 col-md-offset-1" > 
                                            <label>Fecha</label> 
                                          </div>
                                          <div class="col-md-4">
                                            <input type="text" class="form-control" id="txtFecha" disabled="disabled">         
                                          </div> 
                                          <div class="col-md-3 col-md-offset-1">
                                            <input type="text" class="form-control" id="txtpk" disabled="disabled"> 
                                          </div>
                                      </div>
                                      <p></p>
                                      <div class="row">
                                          <div class="col-md-3 col-md-offset-1" > 
                                            <label>concepto</label> 
                                          </div>
                                          <div class="col-md-8">
                                            <input type="text" class="form-control" id="txtcon" disabled="disabled">         
                                          </div> 
                                      </div>
                                      <p></p>
                                      <div class="row">
                                          <div class="col-md-3 col-md-offset-1"> 
                                            <label>Monto</label> 
                                          </div>
                                          <div class="col-md-6">
                                            <input type="text" class="form-control" id="txtmonto" disabled="disabled">         
                                          </div> 
                                      </div>
                                      <p></p>
                                      <div class="row">
                                          <div class="col-md-3 col-md-offset-1"> 
                                            <label>moneda</label> 
                                          </div>
                                          <div class="col-md-4">
                                            <input type="text" class="form-control" id="txtmoneda" disabled="disabled">         
                                          </div> 
                                      </div>
                                      <p></p>
                                      <div class="row">
                                          <div class="col-md-3 col-md-offset-1" > 
                                            <label>Observaciones</label> 
                                          </div>
                                          <div class="col-md-8">
                                            <input type="text" class="form-control" id="txtObs" disabled="disabled">         
                                          </div> 
                                      </div>
                                      <br>
                                      <div class="row">
                                        <div class="col-md-4">
                                          <button type="button" class="btn btn-danger btn-block btn-sm"id="anular">Anular?</button>
                                        </div>
                                        <div class="col-md-4">
                                          <button type="button" class="btn btn-success btn-block btn-sm"id="reimprimir">Reimprimir?</button>
                                        </div>
                                        <!--
                                        <div class="col-md-4">
                                          <button type="button" class="btn btn-warning btn-block"  data-toggle="modal" data-target="#myModalDetalles" id="detalles">Detalles</button>
                                        </div>-->
                                      </div>
                                    </div>
                                  </div>
                              </div>
                            </p>
                          </div>
                          <div class="modal-footer">
                            <hr>
                            <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                          </div>

                        </div><!-- /.modal-content -->
                      </div><!-- /.modal-dialog -->
                  </div><!-- /.modal -->
                  <div id="myModal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                      <div class="modal-dialog">
                        <div class="modal-content">
                          <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title" id="myModalLabel">Detalles</h4>
                          </div>
                          <div class="modal-body">
                            <p>
                              <div class="col-md-12 col-sm-12" >
                                  <div class="panel panel-info">
                                    <div class="panel-body">
                                      <div id ="plantilla" style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
                                        
                                        <label align="center"><b> RECIBO DE EGRESO</b></label><br>
                                        <table>
                                          <tr nowrap>=====================================</tr>
                                        </table>
                                        <br>
                                        <div>
                                          <table>
                                              <tr>
                                                <th>Fecha&nbsp;</th>
                                                <td id="f" colspan=3 nowrap></td>
                                              </tr>
                                              <tr>
                                                <th>Concepto</th>
                                                <td id="con" colspan=3 ></td>
                                              </tr>
                                              <tr>
                                                <th >Monto&nbsp;</th>
                                                <td colspan=3 nowrap> <b><h3 id="mon">&nbsp;</h3></b></td>
                                              </tr>
                                              <tr>
                                                <th >Egreso&nbsp;</th>
                                                <td colspan=3 nowrap> <b><h3 id="com">&nbsp;</h3></b></td>
                                              </tr>
                                              <tr>
                                                <th colspan=2>Observaciones de envio:&nbsp; </th>
                                                <td id="ob" colspan=2></td>
                                              </tr>
                                        </table>
                                        </div>
                                         <h6>Op. {{ nombre_usuario }}</h6>
                                      </div>
              
                                    </div>
                                  </div>
                              </div>
                            </p>
                          </div>
                          <div class="modal-footer">
                            <hr>
                            <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                          </div>

                        </div><!-- /.modal-content -->
                      </div><!-- /.modal-dialog -->
                  </div>
                      <!--<input type="button" class="btn btn-default btn-block" data-toggle="modal" data-target="#myModal" value="Clientes">-->
                  
                  <div class="table-responsive">
                    <table class="table table-bordered table-hover" id="tablaHa">
                        <thead>
                          <tr>
                            <th>Nro</th>
                            <th>Fecha</th>
                            <!--<th>Concepto</th>-->
                            <th>Destino</th>
                            <th>Monto</th>
                            <th>Egreso</th>
                            <th>Moneda</th>
                            <th>Obs</th>
                            <th>Estado</th>
                          </tr>
                        </thead>
                        <tbody id="listaC">
                            
                        </tbody>
                    </table>
                  </div>
              </div>
          </div>
          <div class="row">
            <!--
            <div class="col-md-6 col-md-offset-3" align="center">
              <nav>
                <ul class="pagination">
                  <li>
                    <a href="#" id="ant" aria-label="Previous">
                      <span aria-hidden="true">&laquo;</span>
                    </a>
                  </li>
                  <li class="active pag" ><a id="pg1" href="#">1</a></li>
                  <li class="pag" ><a id="pg2" href="#" >2</a></li>
                  <li class="pag" ><a id="pg3" href="#">3</a></li>
                  <li class="pag" ><a id="pg4" href="#">4</a></li>
                  <li class="pag" ><a id="pg5" href="#">5</a></li>
                  <li >
                    <a href="#" id="pos" aria-label="Next">
                      <span aria-hidden="true">&raquo;</span>
                    </a>
                  </li>
                </ul>
              </nav>
            </div>-->
            <div class="col-md-2">
                <button type="button" class="btn btn-default btn-block btn-sm" id="imprimir_envios"><i class="fa fa-print" ></i> <b>Imprimir</b></button>
              </div>
          </div>
        </div>
      </div>
  </div>
</div>
  <div id="modal_confirmacion" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content" id="dialogo">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <br>
          </div>
          <div class="modal-body alert alert-warning"role="alert">
            <div class="row">
              <div class="col-md-12">
                <div class="row grp_alr" align="center">
                  <h3>ANULAR ENVIO?</h3>
                </div>
                <div class="row">
                  <div class="col-md-4" align="right">
                    <label>Observaciones</label>
                  </div>
                  <div class="col-md-6">
                    <textarea class="form-control" rows="3" placeholder="OBSERVACIONES" id="obs_anu"></textarea >
                  </div>
                </div>
                <p></p>
                <div class="row grp_alr" align ="center">
                  <label>Esta accion sera irreversible!</label>
                </div>
                <div class="row grp_pgs" align="center" hidden>
                    <h3>PROCESANDO...</h3>
                </div>
                <div class="row grp_pgs" hidden>
                  <div class="progress">
                    <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                    </div>
                  </div>
                </div>
                <div class="row grp_alr">
                  <div class="col-md-4 col-md-offset-2">
                    <button type="button" class="btn btn-default btn-block" data-dismiss="modal">Cancelar</button>
                  </div>
                  <div class="col-md-4">
                    <button type="button" class="btn btn-danger btn-block" id="alert_aceptar">ANULAR?</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
  </div><!-- /.modal -->
  <div id="modalrecibo" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">Detalles</h4>
          </div>
          <div class="modal-body">
            <div  id="platillaI" style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
              <label align="center"><b>RECIBO DE INGRESO</b></label><br>
              <table>
                <tr nowrap>=====================================</tr>
              </table>
              <label id="oficinaRecibo"></label>
              <table>
                <tr>
                  <td id="fechaAnu" nowrap></td>
                </tr>
              </table>
              <br>
              <b>IMPORTE:</b>
              <p id="importeAnu"></p>
              <b>COMISION:</b>
              <p id="comiAnu"></p>
              <b>CONCEPTO:</b>
              <p id="conceptoAnu"></p>
              <b>OBSERVACIONES:</b>
              <p id="obsAnu"></p>
              <br>
              <table>
                <tr>
                  <td>______________</td>
                </tr>
                <tr>
                  <td nowrap><h6>OP. {{ nombre_usuario }}</h6> </td>
                </tr>
              </table>
            </div>
          </div>
          <div class="modal-footer">
            <hr>
            <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
          </div>

        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
  </div><!-- /.modal -->
<script type="text/JavaScript">
    var Aux="";
    var filaI =0;
    var pagina=1;
    $(document).ready(function(){
      $(document).on('show.bs.modal', '.modal', function () {
          var zIndex = 1040 + (10 * $('.modal:visible').length);
          $(this).css('z-index', zIndex);
          setTimeout(function() {
              $('.modal-backdrop').not('.modal-stack').css('z-index', zIndex - 1).addClass('modal-stack');
          }, 0);
      });
      $(document).on('hidden.bs.modal', '.modal', function () {
          $('.modal:visible').length && $(document.body).addClass('modal-open');
      });
      $('#txtfecha1').datetimepicker({
	      locale: 'es',
	      format: 'YYYY-MM-DD'
	    });
	    $('#txtfecha2').datetimepicker({
	      locale: 'es',
	      format: 'YYYY-MM-DD'
	    });
      $(document).on("click",".filaC",function(){
        var num = $(this).attr('id');
        filaI = num;
        //--------------
        if(Aux[filaI].act =="si"){
          $("#anular").show();
        }
        else{
          $("#anular").hide();
        }
        //
        $('#txtFecha').prop("value",Aux[filaI].fecha);
        $('#txtpk').prop("value",Aux[filaI].pk);
        $('#txtcon').prop("value",Aux[filaI].concepto);
        $('#txtmonto').prop("value",Aux[filaI].monto);
        $('#txtmoneda').prop("value",Aux[filaI].moneda);
        $('#txtObs').prop("value",Aux[filaI].obs);
        $("#f").text(Aux[filaI].fecha);
        $("#con").text(Aux[filaI].concepto);
        //$("#mon").text(Aux[filaI].monto);
        //$("#mone").text(Aux[filaI].moneda);
        $("#ob").text(Aux[filaI].obs);
        var mr='';
        if(Aux[filaI].moneda=="soles")
          {
            mr="S/. "
          }
        else
          {
            mr="$/. "
          }
        $("#mon").text(mr+Aux[filaI].monto);
        $("#com").text(mr+Aux[filaI].comi);
      });
      ajax_SaldoEnviado();
      $(".transf").hide();
      $("#btnRefrescar").click(function(){
        ajax_SaldoEnviado();
      });
      //
      function ajax_SaldoEnviado(){
      	 $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina},
          url:'/listaSaldoEnviado_total_do_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux= data;
            var html ="";
            for(var i=0;i<data.length-1;i++){
                var estado ="";
                if(data[i].est=="recibido"){
                  estado = "success";
                }
                if(data[i].est=="anulado"){
                  estado = "danger";
                }
                html += '<tr class="filaC '+estado+'" data-toggle="modal" data-target="#myModal"' +' id="'+i+'"><th scope="row">'+(i+1)+'</td><td>'+data[i].fecha+'</td><td>'+data[i].des +'</td><td>'+data[i].monto +'</td><td>'+data[i].comi +'</td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].est+'</td></tr>';
            }                        
            $('#listaC').html(html);
            //console.log(data[data.length-1]);
            $("#txtfecha1").prop('value',data[data.length-1].d);
            $("#txtfecha2").prop('value',data[data.length-1].h);
            $('.table-responsive').waitMe('hide');
          }
        });
      }
      //
      $("#anular").click(function(){
          $('#modal_confirmacion').modal('show');
      });
      $("#alert_aceptar").click(function(){
        mostrar_progress();
        ajax_AnularEnvio(Aux[filaI].pk);
      });
      function mostrar_progress(){
        $(".grp_alr").hide();
        $(".grp_pgs").show();
        $("#obs_anu").prop("readonly",true);
      };
      function ocultar_progress(){//llamar desde la funcion
        $('#modal_confirmacion').modal('hide');
        $(".grp_alr").show();
        $(".grp_pgs").hide();
        
        $("#obs_anu").prop("value",null);
        $("#obs_anu").prop("readonly",false);
      };
      //
       function ajax_AnularEnvio(idC){//falta
        $('#dialogo').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'idS':idC,'obs':$("#obs_anu").val()},
          url:'/AnularEnvioDineroCaja_do_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            if(data.exito=='exito'){
              $("#ExitoMensaje").prop('class','bg-info');
              $("#ExitoMensaje").text("Anulado!");
              $("#obsAnu").text($("#obs_anu").val());
              $("#importeAnu").text(Aux[filaI].monto);
              $("#comiAnu").text(Aux[filaI].comi);
              $("#fechaAnu").text(data.fecha);
              $("#conceptoAnu").text("Anulacion de "+Aux[filaI].concepto);
              $('#platillaI').printThis();
              ocultar_progress();
              bootbox.alert({ 
                message: "Operación exitosa. Envío anulado",
                className: 'bb-alternate-modal'
              });
 
              ajax_SaldoEnviado();
             }
           else{
              ocultar_progress();
              $("#ExitoMensaje").prop('class','bg-danger');
              $("#ExitoMensaje").text(" la operacion fallo: " + data.exito);
               bootbox.alert({ 
                message: "La Operación falló",
                className: 'bb-alternate-modal'
              });
              
             }
            $('#dialogo').waitMe('hide');
            ocultarmodal();
          }
        });
      };
      
      //otra funcion
      function ocultarmodal(){
        $('#myModal').modal('hide')
      };
      
      $("#reimprimir").click(function(){
        $('#plantilla').printThis();
      })
      //

     
     //------------------- filtrado-------------
     function ajax_SaldoEnviadofechas(){
     	$('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'f':'f','F1':$("#txtfecha1").val(),'F2':$("#txtfecha2").val()},
          url:'/listaSaldoEnviado_total_do_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux= data;
            var html ="";
            for(var i=0;i<data.length-1;i++){
                var estado ="";
                if(data[i].est=="recibido"){
                  estado = "success";
                }
                if(data[i].est=="anulado"){
                  estado = "danger";
                }
                html += '<tr class="filaC '+estado+'" data-toggle="modal" data-target="#myModal"' +' id="'+i+'"><th scope="row">'+(i+1)+'</td><td>'+data[i].fecha+'</td><td>'+data[i].des +'</td><td>'+data[i].monto +'</td><td>'+data[i].comi +'</td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].est+'</td></tr>';
            }                        
            $('#listaC').html(html);
            //console.log(data[data.length-1]);
            $("#txtfecha1").prop('value',data[data.length-1].d);
            $("#txtfecha2").prop('value',data[data.length-1].h);
            $('.table-responsive').waitMe('hide');
          }
        });
      }
      $("#btnfiltrar").click(function(){
      	ajax_SaldoEnviadofechas();
      	PonerInicioPag();
      	pagina=1;
      })
     function PonerInicioPag(){
        $(".pag").attr('class','pag');
        $("#pag1").attr('class','active pag');
        $("#pg1").text(1);
        $("#pg2").text(2);
        $("#pg3").text(3);
        $("#pg4").text(4);
        $("#pg5").text(5);
      };
        //---- impresion ----
        $("#imprimir_envios").click(function(){
           //var datos=$("#comboFiltro :selected").text().split("/");
            var d = new Date();
            var n = d.toLocaleString();

            var doc = new jsPDF('l', 'pt');
            var res = doc.autoTableHtmlToJson(document.getElementById("tablaHa"));
            doc.setFontSize(14);
            doc.text("Reporte de Habilitacion de Dinero", 20, 30);
            doc.setFontSize(12);
            doc.text('Oficina : '+'{{ SITE_URL }}', 20, 60);
            doc.text('Usuario : '+'{{ nombre_usuario }}', 20, 80);
            doc.text('Desde : '+ $("#txtfecha1").val() , 20, 100);
            doc.text('Hasta : '+ $("#txtfecha2").val(), 140, 100);
            doc.autoTable(res.columns, res.data, {
                margin: {horizontal: 20},
                startY: doc.autoTableEndPosY() + 120,
                margin: {horizontal: 10},
                styles: {overflow: 'linebreak'},
                bodyStyles: {valign: 'top'},
                columnStyles: {email: {columnWidth: 'wrap'}},
                theme: 'grid',
            });

            doc.save('reporteHabilitaciones.pdf');

           //$('#imprimir_trans').printThis();
        });
        //
      $(".pag").click(function(){
        $(".pag").attr('class','pag');
        $(this).attr('class','active pag');
        pagina = $(this).text();
        ajax_SaldoEnviado();
      })
      $("#ant").click(function(){
        var pag = $("#pg1").text();
        pag= parseInt(pag);
        if(pag>1){
          $("#pg1").text(pag-1);
          pag= $("#pg2").text();
          pag= parseInt(pag);
          $("#pg2").text(pag-1);
           pag= $("#pg3").text();
          pag= parseInt(pag);
          $("#pg3").text(pag-1);
           pag= $("#pg4").text();
          pag= parseInt(pag);
          $("#pg4").text(pag-1);
           pag= $("#pg5").text();
          pag= parseInt(pag);
          $("#pg5").text(pag-1);
        }
      });
      $("#pos").click(function(){
        var pag = $("#pg1").text();
        pag= parseInt(pag);
        $("#pg1").text(pag+1);
        pag = $("#pg2").text();
        pag= parseInt(pag);
        $("#pg2").text(pag+1);
        pag = $("#pg3").text();
        pag= parseInt(pag);
        $("#pg3").text(pag+1);
        pag = $("#pg4").text();
        pag= parseInt(pag);
        $("#pg4").text(pag+1);
        pag = $("#pg5").text();
        pag= parseInt(pag);
        $("#pg5").text(pag+1);
      });
     //
    });
</script>
{% endblock content1 %}
